{
	"type": "minecraft:disk",
	"config": {
		"half_height": 1,
		"radius": {
			"type": "minecraft:uniform",
			"max_inclusive": 5,
			"min_inclusive": 2
		},
		"state_provider": {
			"type": "minecraft:simple_state_provider",
			"state": {
				"Name": "minecraft:white_concrete_powder"
			}
		},
		"target": {
			"type": "minecraft:matching_blocks",
			"blocks": [
				"minecraft:soul_sand",
				"minecraft:soul_soil",
				"minecraft:gravel",
				"minecraft:clay"
			]
		}
	}
}
